-- MySQL dump 10.13  Distrib 5.1.37, for debian-linux-gnu (i486)
--
-- Host: bridge.ing.unipi.it    Database: db_luca
-- ------------------------------------------------------
-- Server version	5.0.51a

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Not dumping tablespaces as no INFORMATION_SCHEMA.FILES table on this server
--

--
-- Table structure for table `Impiegati`
--

DROP TABLE IF EXISTS `Impiegati`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Impiegati` (
  `Matricola` varchar(4) NOT NULL,
  `Cognome` varchar(12) NOT NULL,
  `Filiale` varchar(12) default NULL,
  `Eta` int(10) unsigned default NULL,
  PRIMARY KEY  (`Matricola`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Impiegati`
--

LOCK TABLES `Impiegati` WRITE;
/*!40000 ALTER TABLE `Impiegati` DISABLE KEYS */;
INSERT INTO `Impiegati` VALUES ('1000','Verdi',NULL,56),('5998','Neri','Milano',45),('7309','Rossi','Roma',32),('9553','Bruni','Milano',NULL);
/*!40000 ALTER TABLE `Impiegati` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Maternita`
--

DROP TABLE IF EXISTS `Maternita`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Maternita` (
  `Madre` varchar(12) NOT NULL,
  `Figlio` varchar(12) NOT NULL,
  PRIMARY KEY  (`Madre`,`Figlio`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Maternita`
--

LOCK TABLES `Maternita` WRITE;
/*!40000 ALTER TABLE `Maternita` DISABLE KEYS */;
INSERT INTO `Maternita` VALUES ('Anna','Filippo'),('Anna','Olga'),('Francesca','Alberto'),('Luisa','Luigi'),('Luisa','Maria'),('Maria','Aldo'),('Maria','Andrea');
/*!40000 ALTER TABLE `Maternita` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Paternita`
--

DROP TABLE IF EXISTS `Paternita`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Paternita` (
  `Padre` varchar(12) NOT NULL,
  `Figlio` varchar(12) NOT NULL,
  PRIMARY KEY  (`Padre`,`Figlio`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Paternita`
--

LOCK TABLES `Paternita` WRITE;
/*!40000 ALTER TABLE `Paternita` DISABLE KEYS */;
INSERT INTO `Paternita` VALUES ('Franco','Aldo'),('Franco','Andrea'),('Luigi','Filippo'),('Luigi','Olga'),('Sergio','Franco');
/*!40000 ALTER TABLE `Paternita` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Persone`
--

DROP TABLE IF EXISTS `Persone`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Persone` (
  `Nome` varchar(12) NOT NULL,
  `Eta` int(10) unsigned default NULL,
  `Reddito` int(10) unsigned default NULL,
  PRIMARY KEY  (`Nome`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Persone`
--

LOCK TABLES `Persone` WRITE;
/*!40000 ALTER TABLE `Persone` DISABLE KEYS */;
INSERT INTO `Persone` VALUES ('Aldo',25,15),('Andrea',27,21),('Anna',50,35),('Filippo',26,30),('Franco',60,20),('Gigi',26,21),('Luigi',50,40),('Luisa',75,NULL),('Maria',55,42),('Olga',30,41),('Sergio',85,35);
/*!40000 ALTER TABLE `Persone` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2010-03-26 12:27:03
